@import url('https://fonts.googleapis.com/css2?family=Aboreto&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
body{
    font-family: Poppins;
    margin: 0;
    font-size: 16px;
    background-color: #4f8b69;
}
*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    text-decoration: none;
    list-style: none;
}
:root{
    --border-color: #fff5;
    --w-image: 500px;
    --calculate: calc(3 / 2);
}

video {
    position: absolute;
    right: 0;
    bottom: 0;
    max-width: 100%;
    min-height: 100%;
    min-width: 100%;
}
encabezado{
    display: grid;
    grid-template-columns: 80px 1fr calc(var(--w-image) * var(--calculate));
    grid-template-rows: 80px;
    position: relative;
    z-index: 10;
    border-bottom: 1px solid var(--border-color);
}
encabezado .logo img{
    width: 80%;
}
encabezado .logo{
    display: flex;
    justify-content: center;
    align-items: center;
}
encabezado nav a{
    color: #000;
    font-weight: 400;
}
encabezado nav ul{
    height: 100%;
    display: flex;
    justify-content: end;
    align-items: center;
    gap: 30px;
    padding-right: 30px;
}
encabezado nav{
    border-left: 1px solid var(--border-color);
}
.carousel{
    margin-top: -80px;
    width: 100%;
    height: 100vh;
    overflow: hidden;
}
.carousel .list{
    height: 100%;
    position: relative;
}
.carousel .list::before{
    position: absolute;
    width: var(--w-image);
    height: 100%;
    content: '';
    top: 0;
    left: calc(100% - calc(var(--w-image) * var(--calculate)));
    border-left: 1px solid var(--border-color);
    border-right: 1px solid var(--border-color);
    z-index: 10;
    pointer-events: none;
}
.carousel .list::after{
    position: absolute;
    top: 50px;
    left: 50px;
    content: '';
    width: 400px;
    height: 300px;
    z-index: 10;
    pointer-events: none;
    border-radius: 20px  50px 110px  230px;
    filter: blur(150px);
    opacity: .6;
}
.carousel .list .item{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.carousel .list .item .image{
    width: var(--w-image);
    height: 100%;
    position: absolute;
    top: 0;
    left: calc(100% - calc(var(--w-image) * var(--calculate)));
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: end;
    align-items: center;
    font-weight: 500;
}
.carousel .list .item .image img{
    width: 90%;
    margin-bottom: 20px;

}
.carousel .list .item .image figcaption{
    font-family: 'Aboreto';
    font-weight: bold;
    font-size: 1.3em;
    text-align: right;
    margin-bottom: 30px;
    width: 70%;
}
.carousel .list .item .main-content{
    height: 100%;
    display: grid;
    grid-template-columns: calc(100% - calc(var(--w-image) * var(--calculate)));
}
.carousel .list .item .main-content .content{
    padding: 150px 20px  20px 80px;
}
.carousel .list .item .main-content .content h2{
    font-size: 5em;
    font-family: 'Arial Black';
}
.carousel .list .item .main-content .content .price{
    font-family: 'Arial';
    font-size: 3em;
    margin: 20px 0;
}
.carousel .list .item .main-content .content .addToCard{
    background-color: #4f8b69;
    color: #fff;
    padding: 10px  30px;
    font-family: Poppins;
    font-size: large;
    font-weight: 500;
    border-radius: 30px;
    border: none;
    margin-top: 20px;
}

.carousel .list .item{
    display: none;
}
.carousel .list .item.active,
.carousel .list .item.other_1,
.carousel .list .item.other_2{
    display: block;
}
.carousel .list .item.active{
    z-index: 2;
}
.carousel .list .item.other_1,
.carousel .list .item.other_2{
    pointer-events: none;
}
.carousel .list .item.active .main-content{
    animation: showContent 1s ease-in-out 1 forwards;
}
@keyframes showContent{
    from{
        clip-path: circle(0% at 70% 50%);
    }to{
        clip-path: circle(100% at 70% 50%);
    }
}
.next .item.other_1{
    z-index: 1;
}
.next .item .image img,
.next .item .image figcaption{
    animation: effectNext .5s ease-in-out 1 forwards;
}
@keyframes effectNext{
    from{
        transform: translateX(calc(var(--transform-from)));
    }to{
        transform: translateX(calc(var(--transform-from) - var(--w-image)));
    }
}
.next .item.active .image{
    --transform-from: var(--w-image);
}
.next .item.other_1 .image{
    z-index: 3;
    --transform-from: 0px;
    overflow: hidden;
}
.next .item.other_2 .image{
    z-index: 3;
    --transform-from: calc(var(--w-image) * 2);
}
.arrows{
    z-index: 10;
}
/* prev */
.prev .list .item .image img,
.prev .list .item .image figcaption{
    animation: effectPrev 0.5s ease-in-out 1 forwards;
}
@keyframes effectPrev{
    from{
        transform: translateX(calc(var(--transform-from)));
    }to{
        transform: translateX(calc(var(--transform-from) + var(--w-image)));
    }
}
.prev .list .item.active .image{
    --transform-from: calc(var(--w-image) * -1);
    overflow: hidden;
}
.prev .list .item.other_1 .image{
    --transform-from: 0px;
    z-index: 3;
}
.prev .list .item.other_2 .image{
    z-index: 3;
    --transform-from: var(--w-image);
}
.prev .list .item.other_2 .main-content{
    opacity: 0;
}
@media screen and (max-width: 1023px){
    :root{
        --calculate: 1;
        --w-image: 400px; 
    }
    .carousel .list .item .main-content .content h2{
        font-size: 3em;
    }
}
@media screen and (max-width: 767px){
    .carousel .list .item .image{
        width: 100%;
        left: 0;
        justify-content: center;
    }
    .carousel .list .item .image figcaption{
        color: #fff;
        width: 100%;
        text-align: center;
    }
    .carousel .list .item .main-content .content{
        display: none;
    }
    .arrows{
        left: 50%;
        justify-content: center;
    }
}


/* css slider */
.slider{
    height: 100vh;
    margin-top: -50px;
    position: relative;
}
.slider .list .item{
    position: absolute;
    inset: 0 0 0 0;
    overflow: hidden;
    opacity: 0;
    transition: .5s;
}
.slider .list .item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.slider .list .item::after{
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    bottom: 0;
    background-image: linear-gradient(
        to top, #000 40%, transparent
    );
}
.slider .list .item .content{
    position: absolute;
    left: 10%;
    top: 20%;
    width: 800px;
    max-width: 80%;
    z-index: 1;
}
.slider .list .item .content p:nth-child(1){
    text-transform: uppercase;
    letter-spacing: 10px;
}
.slider .list .item .content h2{
    font-size: 75px;
    margin: 10PX;
}
.slider .list .item.active{
    opacity: 1;
    z-index: 10;
}
@keyframes showContent {
    to{
        transform: translateY(0);
        filter: blur(0);
        opacity: 1;
    }
}
.slider .list .item.active p:nth-child(1),
.slider .list .item.active h2,
.slider .list .item.active p:nth-child(3){
    transform: translateY(30px);
    filter: blur(20px);
    opacity: 0;
    animation: showContent .5s .7s ease-in-out 1 forwards;
}
.slider .list .item.active h2{
    animation-delay: 1s;
}
.slider .list .item.active p:nth-child(3){
    animation-duration: 1.3s;
}
.arrows{
   position: absolute;
    top: 30%;
    right: 50px;
    z-index: 100;
}
.arrows button{
    background-color: #05a6c0;
    border: none;
    font-family: monospace;
    width: 40px;
    height: 40px;
    border-radius: 50px;
    font-size: x-large;
    color: #000;
    transition: .5s;
}

.arrows button:hover{
    background-color: #eee;
    color: black;
}
.thumbnail{
    position: absolute;
    bottom: 50px;
    z-index: 11;
    display: flex;
    gap: 10px;
    width: 100%;
    height: 250px;
    padding: 0 50px;
    box-sizing: border-box;
    overflow: auto;
    justify-content: center;
}
.thumbnail::-webkit-scrollbar{
    width: 0;
}
.thumbnail .item{
    width: 150px;
    height: 220px;
    filter: brightness(.5);
    transition: .5s;
    flex-shrink: 0;
}
.thumbnail .item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
}
.thumbnail .item.active{
    filter: brightness(1.5);
}
.thumbnail .item .content{
    position: absolute;
    inset: auto 10px 10px 10px;
}
@media screen and (max-width: 678px) {
    .thumbnail{
        position: absolute;
    bottom: 50px;
    z-index: 11;
    display: flex;
    gap: 10px;
    width: 100%;
    height: 250px;
    padding: 0 50px;
    box-sizing: border-box;
    overflow: auto;
    justify-content: start;
    }
    .slider .list .item .content h2{
        font-size: 30px;
    }
    .arrows{
        top: 10%;
        left: 40%;
    }
}
